How do i fix this

Before the error happened, I was…
[Replace this text.]

Error message (don't change this)
Anki 23.12.1 (1a1d4d54)  (ao)
Python 3.9.15 Qt 6.6.1 PyQt 6.6.1
Platform: Windows-10-10.0.19045

Traceback (most recent call last):

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\deck_installation.py", line 123, in _download_and_install_decks_inner
    result.append(_download_and_install_single_deck(ah_did))

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\deck_installation.py", line 155, in _download_and_install_single_deck
    result = _install_deck(

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\deck_installation.py", line 185, in _install_deck
    import_result = importer.import_ankihub_deck(

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\main\importing.py", line 133, in import_ankihub_deck
    self._local_did = self._cleanup_first_time_deck_import(

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\main\importing.py", line 361, in _cleanup_first_time_deck_import
    aqt.mw.col.set_deck(cids, common_ancestor_did)

  File "anki.collection", line 611, in set_deck

  File "anki._backend_generated", line 295, in set_deck

  File "anki._backend", line 166, in _run_command

anki.errors.SchedulerUpgradeRequired: Your collection needs to be upgraded to the v3 scheduler.
Please select Learn More before proceeding.


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "aqt.taskman", line 142, in _on_closures_pending

  File "aqt.taskman", line 86, in <lambda>

  File "aqt.taskman", line 106, in wrapped_done

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\deck_installation.py", line 45, in on_install_done
    on_done(future_with_exception(e))

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\ankihub_sync.py", line 73, in <lambda>
    on_done=lambda future: on_new_deck_subscriptions_done(

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\ankihub_sync.py", line 28, in on_new_deck_subscriptions_done
    on_done(future_with_exception(future.exception()))

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\auto_sync.py", line 101, in sync_with_ankiweb
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\deck_installation.py", line 43, in on_install_done
    import_results: List[AnkiHubImportResult] = future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "concurrent.futures.thread", line 58, in run

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\deck_installation.py", line 72, in <lambda>
    task=lambda: _download_and_install_decks_inner(ankihub_dids),

  File "C:\Users\JohnE\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\deck_installation.py", line 135, in _download_and_install_decks_inner
    raise exceptions[0]

1322529746.gui.exceptions.DeckDownloadAndInstallError: Error while downloading and installing deck e77aedfe-a636-40e2-8169-2fce2673187e: Your collection needs to be upgraded to the v3 scheduler.
Please select Learn More before proceeding.

Sentry link (for developers)

You should see a message at the top of the main screen saying this:

Your collection needs to be upgraded to the v3 scheduler.
Please select Learn More before proceeding.

You have to click Update to continue using this version of Anki.